<mat-card class="expert-card">

  <mat-card-header>
    <mat-card-title>{{expert.lastName}} {{expert.firstName}} {{expert.patronymic}}</mat-card-title>
    <mat-card-subtitle>
      <dl>
        <dt>{{ 'authority' | transloco }}</dt>
        <dd>{{ expert.authority }}</dd>

        <dt>{{ 'organisation' | transloco }}</dt>
        <dd>{{ expert.organisation.name }}</dd>

        <dt>{{ 'address' | transloco }}</dt>
        <dd>
          {{ expert.organisation.region }},
          {{ expert.organisation.city }},
          {{ expert.organisation.street }},
          {{ expert.organisation.numberOfBuilding }}
        </dd>

        <dt>{{ 'phone' | transloco }}</dt>
        <dd>{{ expert.contacts.phone }}</dd>
      </dl>
    </mat-card-subtitle>
  </mat-card-header>

  <mat-card-content *ngIf="certificates$ | async; let certificates">
    <table mat-table [dataSource]="certificates" class="certificates-table">
      <ng-container matColumnDef="certificate">
        <th mat-header-cell *matHeaderCellDef> {{ 'certificate' | transloco }} </th>
        <td mat-cell *matCellDef="let certificate">
          <p>№{{certificate.documentNumber}}</p>
          <p>{{certificate.commissionDecision.type.type}}</p>
        </td>
      </ng-container>

      <ng-container matColumnDef="commission">
        <th mat-header-cell *matHeaderCellDef> {{ 'commission' | transloco }} </th>
        <td mat-cell *matCellDef="let certificate">
          <p>
            {{certificate.commission.name}},
            {{certificate.commission.authority.name}}
          </p>
        </td>
      </ng-container>

      <ng-container matColumnDef="commissionDecision">
        <th mat-header-cell *matHeaderCellDef> {{ 'commission_decision_date_and_number' | transloco }} </th>
        <td mat-cell *matCellDef="let certificate">
          <p>{{certificate.commissionDecision.date | date: 'dd.MM.yyyy'}}</p>
          <p>№{{certificate.commissionDecision.number}}</p>
        </td>
      </ng-container>

      <ng-container matColumnDef="expertiseType">
        <th mat-header-cell *matHeaderCellDef> {{ 'expertise_type' | transloco }} </th>
        <td mat-cell *matCellDef="let certificate">
          <p>
            {{certificate.expertiseType.number}}. {{certificate.expertiseType.name}}
          </p>
        </td>
      </ng-container>

      <ng-container matColumnDef="expertiseSpecialities">
        <th mat-header-cell *matHeaderCellDef> {{ 'expertise_speciality' | transloco }} </th>
        <td mat-cell *matCellDef="let certificate">
          <p *ngFor="let speciality of certificate.expertiseSpecialities">
            {{speciality.number}}. {{speciality.name}}
          </p>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="certificatesColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: certificatesColumns;"></tr>
    </table>
  </mat-card-content>

  <mat-card-actions>
    <button mat-button class="mat-raised-button" color="primary" (click)="downloadExtract()" [disabled]="true">
      {{ 'form_extract' | transloco }}
    </button>
  </mat-card-actions>

</mat-card>
